Lua_VideoTypeItem = class("Lua_VideoTypeItem", Lua_ListCell);
function Lua_VideoTypeItem:ctor(p)
    self:superCall("ctor", p, "VideoTypeItem_skin");
end

function Lua_VideoTypeItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_VideoTypeItem:dispose()
    self.data = nil;
    self:superCall("dispose");
end

function Lua_VideoTypeItem:setData(data)
    self.data = data;
    if data == nil then
        return;
    end

    local configInfo = DataCenter.videosUtil:getVideoConfig(data);
    self.btnText.text = configInfo.name;
end

function Lua_VideoTypeItem:onSelectionChange(bSelect)
    self:superCall("onSelectionChange", bSelect);
    if bSelect == true then
        self.btnImg:setAltas("iconantlas1", "common_btn_01");
        self.btnText.colorStr = Lua_ColorDefine.transColorStr("A84A27");
    else
        self.btnImg:setAltas("iconantlas1", "common_btn_02");
        self.btnText.colorStr = Lua_ColorDefine.transColorStr("FFFFFF");
    end
end

function Lua_VideoTypeItem:onPressClick()
    if self.data == nil then
        return false;
    end
    Lua_MsgUtil.callFunc("SELECT_VIDEO_TYPE", self.data);
    return true;
end